From 65b6b27831a466aaf0334f818bd6bd47d7b68203 Mon Sep 17 00:00:00 2001
From: Terry Jia <terryjia88@gmail.com>
Date: Tue, 2 Sep 2025 23:57:43 -0400
Subject: [PATCH 27/77] add litegraph test config (#5310)

* add litegraph test config

* remove unnecessary setup file

* exclude litegraph test config

* add npm script
---
 knip.config.ts             |   3 +
 package.json               |   3 +
 pnpm-lock.yaml             | 300 ++++++++++++++++++++++++++++++++++++-
 vitest.litegraph.config.ts |  18 +++
 4 files changed, 320 insertions(+), 4 deletions(-)
 create mode 100644 vitest.litegraph.config.ts

diff --git a/knip.config.ts b/knip.config.ts
index fabec81b9..2b694c2aa 100644
--- a/knip.config.ts
+++ b/knip.config.ts
@@ -12,6 +12,7 @@ const config: KnipConfig = {
     'playwright.config.ts',
     'playwright.i18n.config.ts',
     'vitest.config.ts',
+    'vitest.litegraph.config.ts',
     'scripts/**/*.{js,ts}'
   ],
   project: [
@@ -32,6 +33,8 @@ const config: KnipConfig = {
     'coverage/**',
     // i18n config
     '.i18nrc.cjs',
+    // Vitest litegraph config
+    'vitest.litegraph.config.ts',
     // Test setup files
     'browser_tests/globalSetup.ts',
     'browser_tests/globalTeardown.ts',
diff --git a/vitest.litegraph.config.ts b/vitest.litegraph.config.ts
new file mode 100644
index 000000000..b0deff2cc
--- /dev/null
+++ b/vitest.litegraph.config.ts
@@ -0,0 +1,18 @@
+import { defineConfig } from 'vitest/config'
+
+export default defineConfig({
+  plugins: [],
+  test: {
+    globals: true,
+    environment: 'jsdom',
+    include: ['src/lib/litegraph/test/**/*.test.ts']
+  },
+  resolve: {
+    alias: {
+      '@': '/src'
+    }
+  },
+  define: {
+    __USE_PROD_CONFIG__: false
+  }
+})

